Skip to main content
PATCH
/
api
/
conversations
/
{conversation_id}
Update Conversation
curl --request PATCH \
  --url https://api.example.com/api/conversations/{conversation_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "messages": [
    {
      "content": "<string>",
      "role": "user",
      "timestamp": "2023-11-07T05:31:56Z",
      "answer_origin": "library_rag",
      "feedback": 123,
      "llm_ms": 123,
      "max_rerank_score": 123,
      "message_id": 123,
      "model_name": "<string>",
      "provenance_note": "<string>",
      "provider": "<string>",
      "question_type": "content",
      "rerank_ms": 123,
      "response_time_ms": 123,
      "search_ms": 123,
      "sources": [
        {
          "namespace": "<string>",
          "preview": "<string>",
          "source_type": "youtube",
          "title": "<string>",
          "url": "<string>",
          "file_path": "<string>",
          "full_text": "<string>",
          "rerank_score": 123,
          "source_id": "<string>",
          "timestamp": 1,
          "video_id": "<string>"
        }
      ],
      "suggested_sources": [
        {
          "namespace": "<string>",
          "preview": "<string>",
          "source_type": "youtube",
          "title": "<string>",
          "url": "<string>",
          "file_path": "<string>",
          "full_text": "<string>",
          "rerank_score": 123,
          "source_id": "<string>",
          "timestamp": 1,
          "video_id": "<string>"
        }
      ]
    }
  ],
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

conversation_id
string
required

Body

application/json

Request to update conversation title.

title
string
required
Minimum string length: 1

Response

Successful Response

A conversation with its messages.

created_at
string<date-time>
required
id
string
required
messages
Message · object[]
required
title
string
required
updated_at
string<date-time>
required